Bug 139902 - rsh using password prompt for "assword:" and does not work
rsh using password prompt for "assword:" and does not work
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rsh (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-11-18 13:16 EST by Etienne Clement
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-22 13:31:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Etienne Clement 2004-11-18 13:16:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686;
chrome://navigator/locale/navigator.properties; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
rsh using password prompt for "assword:" and does not work

Version-Release number of selected component (if applicable):
rsh-0.17-17 pam-0.75-58

How reproducible:

Steps to Reproduce:
1. Change the /etc/pam.d/rsh to allow authentification using password.

> cat /etc/pam.d/rsh
# For root login to succeed here with pam_securetty, "rsh" must be
# listed in /etc/securetty.
auth       required     pam_nologin.so
auth       required     pam_securetty.so
auth       required     pam_env.so
auth       required     pam_stack.so service=system-auth
account    required     pam_stack.so service=system-auth
password   required     pam_stack.so service=system-auth
session    required     pam_stack.so service=system-auth

2. Issue a rsh command from a remote machine.

> rsh <hostname> ls

3. The password prompt display "assword:", text is displayed when you
type and won't accept the password.

Additional info:
Comment 1 Karel Zak 2004-11-22 13:31:58 EST
Please, use rlogin if you need users authentication. The "rsh" design
and client/server protocol doesn't expect that PAM (or something
other) will ask for user's password. There is a problem that PAM (on
server) send to client the string "Password: " in situation when
client expects '\0' or nothing.

We cannot change rsh client/server protocol or PAM design -- better is
using right tools.

Note You need to log in before you can comment on or make changes to this bug.